[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.CheckOnChangeBounds

Checks for changes and calls DoOnChangeBounds if needed.

## Declaration

Source position: controls.pp line 1382

`protected procedure TControl.CheckOnChangeBounds;`

## Description

Maintains internal members used to track the last bounds rectangle and client size before DoOnChangeBounds is called. Called from the LoadedAll and ChangeBounds methods.

## See also

TControl.LoadedAll |  | Called when the control and its child controls have been loaded, and their control state is changed.
TControl.ChangeBounds |  | Sets the bounds (left, top, height, width) and optionally the BaseBounds of the control.
TControl.DoOnChangeBounds |  | Signals OnChangeBounds event handlers for the control.